Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 226029 - Add getSession()/setSession() methods to JPDABreakpoint class.
Add getSession()/setSession() methods to JPDABreakpoint class.
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 16:23 UTC by Martin Entlicher
Modified: 2013-02-23 04:13 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change. (10.67 KB, patch)
2013-02-12 16:26 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-02-12 16:23:15 UTC
In order to fix issue #145784, session-specific breakpoints were introduced.
We need public methods to be able to access the session, which is the breakpoint set for.

Therefore we propose to add public methods getSession() and setSession() to JPDABreakpoint class.
Comment 1 Martin Entlicher 2013-02-12 16:26:50 UTC
Created attachment 131309 [details]
The API change.
Comment 2 Martin Entlicher 2013-02-12 16:27:27 UTC
Please review this simple API change.
Comment 3 Martin Entlicher 2013-02-18 14:49:05 UTC
Thanks for the review, I plan to push the change tomorrow.
Comment 4 Martin Entlicher 2013-02-19 12:20:46 UTC
Pushed as changeset:   246834:878bf015da81
http://hg.netbeans.org/core-main/rev/878bf015da81
Comment 5 Quality Engineering 2013-02-23 04:13:49 UTC
Integrated into 'main-golden', will be available in build *201302222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/878bf015da81
User: mentlicher@netbeans.org
Log: #226029: getSession()/setSession() methods are added to JPDABreakpoint class.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo